[
  {
    "from": "po_por_export",
    "to": "/ProcessPurchaseOrder",
    "array": [
        {
            "from": "po_dealer_id",
            "to": "ApplicationArea/Sender/LogicalID",
            "description": "Sender identification",
            "mandatory": true
        },
        {
            "from": "ord.json_data.company_id",
            "to": "ApplicationArea/Receiver/LogicalID",
            "description": "Receiver identification (use value ”logius”)",
            "mandatory": true
        },
        {
            "from": "ord.order_date",
            "to": "ApplicationArea/CreationDateTime",
            "description": "Message creation date & time",
            "mandatory": true
        },
        {
            "from": "ord.order_type",
            "to": "DataArea/Process/ActionCriteria/ActionExpression[@actionCode\"documentType\"]",
            "description": "Order type (”inboundPurchaseOrder”)",
            "mandatory": true
        },
        {
            "from": "XX",
            "to": "DataArea/Process/ActionCriteria/ChangeStatus/Reason"
        },
        {
            "from": "ord.order_id",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/DocumentID/ID",
            "description": "Order number",
            "mandatory": true
        },
        {
            "from": "XX",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/Note[@type=\"passThrough\" @status=\"comment1\"]",
            "not_in_use": false
        },
        {
            "from": "ord.our_reference",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/DocumentReference[@type=\"clientsReference2\"]/DocumentID/ID",
            "not_in_use": false
        },
        {
            "from": "ord.your_reference",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/DocumentReference[@type=\"suppliersReference1\"]/DocumentID/ID",
            "not_in_use": false
        },
        {
            "from": "XX",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/DocumentReference[@type=\"suppliersReference2\"]/DocumentID/ID",
            "not_in_use": false
        },
        {
            "from": "XX",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/DocumentReference[@type=\"invoiceNumber\"]/DocumentID/ID",
            "not_in_use": false
        },
        {
            "from": "XX",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/DocumentReference[@type=\"supplierDeliverNote\"]/DocumentID/ID",
            "not_in_use": false
        },
        {
            "from": "XX",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/DocumentReference[@type=\"orderClass1\"]/DocumentID/ID",
            "not_in_use": false
        },
        {
            "from": "XX",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/DocumentReference[@type=\"orderClass1\"]/Description",
            "not_in_use": false
        },
        {
            "from": "XX",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/DocumentReference[@type=\"orderClass2\"]/DocumentID/ID",
            "not_in_use": false
        },
        {
            "from": "XX",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/Party[@role=\"supplier\"]/Contact/Address/ID",
            "not_in_use": false
        },
        {
            "from": "XX",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/Party[@role=\"supplier\"]/Contact/Address/AttentionOfName",
            "not_in_use": false
        },
        {
            "from": "XX",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/Party[@role=\"supplier\"]/Contact/Address/CareOfName",
            "not_in_use": false
        },
        {
            "from": "XX",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/Party[@role=\"supplier\"]/Contact/Address/AddressLine[@sequence=\"1\"]",
            "not_in_use": false
        },
        {
            "from": "XX",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/Party[@role=\"supplier\"]/Contact/Address/CityName",
            "not_in_use": false
        },
        {
            "from": "XX",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/Party[@role=\"supplier\"]/Contact/Address/CountrySubDivisionCode",
            "not_in_use": false
        },
        {
            "from": "XX",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/Party[@role=\"supplier\"]/Contact/Address/CountryCode",
            "not_in_use": false
        },
        {
            "from": "XX",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/Party[@role=\"supplier\"]/Contact/Address/PostalCode",
            "not_in_use": false
        },
        {
            "from": "XX",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/Party[@role=\"warehouse\"]/PartyIDs/ID",
            "not_in_use": false
        },
        {
            "from": "XX",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/CarrierParty/Contact/Address/ID",
            "not_in_use": false
        },
        {
            "from": "XX",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/CarrierParty/Contact/Address/Type",
            "not_in_use": false
        },
        {
            "from": "XX",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/CarrierParty/Contact/Address/Status/Code",
            "not_in_use": false
        },
        {
            "from": "XX",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/TransportationTerm/FreightTermCode",
            "not_in_use": false
        },
        {
            "from": "ord.way_of_delivery",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/TransportationTerm/Description[@type=\"freightTermText\"]",
            "not_in_use": false
        },
        {
            "from": "ord.order_date",
            "to": "DataArea/PurchaseOrder/PurchaseOrderHeader/OrderDateTime",
            "not_in_use": false
        },
        {
            "from": "por",
            "to": "/ProcessPurchaseOrder/DataArea/PurchaseOrder/PurchaseOrderLine",
            "array": [
                {
                    "from": "ordr.row_number",
                    "to": "LineNumber",
                    "description": "LineNumber",
                    "mandatory": true,
                    "not_in_use": false
                },
                {
                    "from": "XX",
                    "to": "Note[@type=\"arrivalNote\"]",
                    "not_in_use": false
                },
                {
                    "from": "XX",
                    "to": "Note[@type=\"passThrough\" @status=\"comment1\"]",
                    "not_in_use": false
                },
                {
                    "from": "XX ordr.json_data.customer_project",
                    "to": "DocumentReference[@type=\"customersReference1\"]/DocumentID/ID",
                    "not_in_use": false
                },
                {
                    "from": "XX",
                    "to": "DocumentReference[@type=\"rowStatus\"]/Status/Reason",
                    "not_in_use": false
                },
                {
                    "from": "XX ord.project_id",
                    "to": "Item/ItemID/ID",
                    "description": "Product ID",
                    "mandatory": true,
                    "not_in_use": false
                },
                {
                    "from": "XX",
                    "to": "Item/Description[@type=\"itemName\"]",
                    "not_in_use": false
                },
                {
                    "from": "XX po_waiting_for_delivery",
                    "to": "Item/Classification[@type=\"customStatus\"]/Type",
                    "not_in_use": false
                },
                {
                    "from": "XX",
                    "to": "Item/Classification[@type=\"qualityCheckStatus\"]/Type",
                    "not_in_use": false
                },
                {
                    "from": "XX",
                    "to": "Item/Classification[@type=\"quarantineStatus\"]/Type",
                    "not_in_use": false
                },
                {
                    "from": "XX",
                    "to": "Item/CountryOfOriginCode",
                    "not_in_use": false
                },
                {
                    "from": "XX",
                    "to": "Item/Packaging/Dimensions/WeightRange/MinimumWeightMeasure",
                    "not_in_use": false
                },
                {
                    "from": "XX",
                    "to": "SerializedLot/Lot/LotIDs/ID[@sequenceName=\"supplier\"]",
                    "not_in_use": false
                },
                {
                    "from": "XX",
                    "to": "SerializedLot/Lot/LotIDs/ID[@sequenceName=\"crossDocking\"]",
                    "not_in_use": false
                },
                {
                    "from": "XX",
                    "to": "SerializedLot/Lot/EffectiveTimePeriod/EndDateTime",
                    "not_in_use": false
                },
                {
                    "from": "XX",
                    "to": "SerializedLot/Lot/Quantity[@unitCode=\"PCE\"]",
                    "description": "Ordered quantity",
                    "mandatory": true,
                    "not_in_use": false
                },
                {
                    "from": "XX",
                    "to": "SerializedLot/Lot/Disposition/Code",
                    "not_in_use": false
                },
                {
                    "from": "XX",
                    "to": "SerializedLot/Lot/Disposition/Description",
                    "not_in_use": false
                },
                {
                    "from": "XX",
                    "to": "SerializedLot/Lot/UserArea/DocumentReference/Quantity[@type=\"qualityCheck\"]",
                    "not_in_use": false
                },
                {
                    "from": "XX",
                    "to": "SerializedLot/Lot/UserArea/DocumentReference/Quantity[@type=\"maxAllowed\"]",
                    "not_in_use": false
                },
                {
                    "from": "XX",
                    "to": "SerializedLot/Lot/UserArea/DocumentReference[@type=\"crossDockingType\"]/DocumentID/ID",
                    "not_in_use": false
                }
            ]
        }
    ]
  }
]
